class

  LineProfile

brief

  1 ラインに関するプロファイルクラス framework が使用する

### Hierarchy

- LineProfile

## Index

### Constructors

- constructor

### Properties

- _$base
- _height
- _index
- _info
- _initializer
- _instance
- _offset
- _owner
- _pageIndex

### Accessors

- height
- index
- info
- offset
- pageIndex

### Methods

- activate
- hide
- inactivate
- isActive
- prepareBaseElement
- refresh
- resetDepth
- updateHeight
- updateIndex
- updateOffset
- updatePageIndex

## Constructors

### constructor

- new LineProfile(_owner: IListViewFramework, _height: number, _initializer: object, _info: any): LineProfile

- - Defined in CDP/UI/listview/LineProfile.ts:18

  constructor

  #### Parameters

  - ##### _owner: IListViewFramework

    [in] 管理者である IListViewFramework インスタンス

  - ##### _height: number

    [in] 初期の高さ

  - ##### _initializer: object

    [in] ListItemView 派生クラスのコンストラクタ

  - ##### _info: any

    [in] ListItemView コンストラクタに渡されるオプション

  #### Returns LineProfile

## Properties

### Private _$base

_$base: JQuery = null

- Defined in CDP/UI/listview/LineProfile.ts:17

### Private _height

_height: number

- Defined in CDP/UI/listview/LineProfile.ts:30

[in] 初期の高さ

### Private _index

_index: number = null

- Defined in CDP/UI/listview/LineProfile.ts:14

### Private _info

_info: any

- Defined in CDP/UI/listview/LineProfile.ts:32

[in] ListItemView コンストラクタに渡されるオプション

### Private _initializer

_initializer: object

- Defined in CDP/UI/listview/LineProfile.ts:31

[in] ListItemView 派生クラスのコンストラクタ

#### Type declaration

### Private _instance

_instance: BaseListItemView = null

- Defined in CDP/UI/listview/LineProfile.ts:18

### Private _offset

_offset: number = null

- Defined in CDP/UI/listview/LineProfile.ts:16

### Private _owner

_owner: IListViewFramework

- Defined in CDP/UI/listview/LineProfile.ts:29

[in] 管理者である IListViewFramework インスタンス

### Private _pageIndex

_pageIndex: number = null

- Defined in CDP/UI/listview/LineProfile.ts:15

## Accessors

### height

- get height(): number

- - Defined in CDP/UI/listview/LineProfile.ts:117

  #### Returns number

### index

- get index(): number
- set index(index: number): void

- - Defined in CDP/UI/listview/LineProfile.ts:122

  #### Returns number

- - Defined in CDP/UI/listview/LineProfile.ts:127

  #### Parameters

  - ##### index: number

  #### Returns void

### info

- get info(): any

- - Defined in CDP/UI/listview/LineProfile.ts:161

  #### Returns any

### offset

- get offset(): number
- set offset(offset: number): void

- - Defined in CDP/UI/listview/LineProfile.ts:148

  #### Returns number

- - Defined in CDP/UI/listview/LineProfile.ts:153

  #### Parameters

  - ##### offset: number

  #### Returns void

### pageIndex

- get pageIndex(): number
- set pageIndex(index: number): void

- - Defined in CDP/UI/listview/LineProfile.ts:135

  #### Returns number

- - Defined in CDP/UI/listview/LineProfile.ts:140

  #### Parameters

  - ##### index: number

  #### Returns void

## Methods

### activate

- activate(): void

- - Defined in CDP/UI/listview/LineProfile.ts:39

  #### Returns void

### hide

- hide(): void

- - Defined in CDP/UI/listview/LineProfile.ts:60

  #### Returns void

### inactivate

- inactivate(): void

- - Defined in CDP/UI/listview/LineProfile.ts:70

  #### Returns void

### isActive

- isActive(): boolean

- - Defined in CDP/UI/listview/LineProfile.ts:92

  #### Returns boolean

### Private prepareBaseElement

- prepareBaseElement(): JQuery

- - Defined in CDP/UI/listview/LineProfile.ts:169

  #### Returns JQuery

### refresh

- refresh(): void

- - Defined in CDP/UI/listview/LineProfile.ts:85

  #### Returns void

### resetDepth

- resetDepth(): void

- - Defined in CDP/UI/listview/LineProfile.ts:107

  #### Returns void

### updateHeight

- updateHeight(newHeight: number, options?: UpdateHeightOptions): void

- - Defined in CDP/UI/listview/LineProfile.ts:97

  #### Parameters

  - ##### newHeight: number

  - ##### Optional options: UpdateHeightOptions

  #### Returns void

### Private updateIndex

- updateIndex($base: JQuery): void

- - Defined in CDP/UI/listview/LineProfile.ts:204

  #### Parameters

  - ##### $base: JQuery

  #### Returns void

### Private updateOffset

- updateOffset($base: JQuery): void

- - Defined in CDP/UI/listview/LineProfile.ts:218

  #### Parameters

  - ##### $base: JQuery

  #### Returns void

### Private updatePageIndex

- updatePageIndex($base: JQuery): void

- - Defined in CDP/UI/listview/LineProfile.ts:211

  #### Parameters

  - ##### $base: JQuery

  #### Returns void

Generated using TypeDoc